## erlang-jose 1.8.4

=== Makefile ===
PROJECT = jose
PROJECT_DESCRIPTION = JSON Object Signing and Encryption (JOSE) for Erlang and Elixir.
PROJECT_VERSION = 1.8.4

DEPS = base64url

dep_base64url = git git://github.com/dvv/base64url.git master

TEST_DEPS = cutkey jiffy jsone jsx libdecaf libsodium ojson triq

dep_cutkey = git git://github.com/potatosalad/cutkey.git master
dep_jiffy = git git://github.com/davisp/jiffy.git master
dep_jsone = git git://github.com/sile/jsone.git master
dep_jsx = git git://github.com/talentdeficit/jsx.git master
dep_keccakf1600 = git git://github.com/potatosalad/erlang-keccakf1600.git master
dep_libdecaf = git git://github.com/potatosalad/erlang-libdecaf.git master
dep_libsodium = git git://github.com/potatosalad/erlang-libsodium.git master
dep_ojson = git git://github.com/potatosalad/erlang-ojson.git master
dep_triq = git git://github.com/krestenkrab/triq.git master

include erlang.mk

otp_release = $(shell erl -noshell -eval 'io:fwrite("~s\n", [erlang:system_info(otp_release)]).' -s erlang halt)
otp_ge_17 = $(shell echo $(otp_release) | grep -q -E "^[[:digit:]]+$$" && echo true)
ifeq ($(otp_ge_17),true)
	otp_ge_18 = $(shell [ $(otp_release) -ge "18" ] && echo true)
endif

ifeq ($(otp_ge_18),true)
	ERLC_OPTS += -Doptional_callbacks=1
	TEST_ERLC_OPTS += -Doptional_callbacks=1
endif

=== debian/changelog ===
erlang-jose (1.8.4-2) unstable; urgency=medium

  * Set Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
  * Set Uploaders: Philipp Huebner <debalance@debian.org>
  * Updated Vcs-* fields in debian/control for salsa.debian.org
  * Updated years in debian/copyright
  * Updated Standards-Version: 4.1.3 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Thu, 04 Jan 2018 11:37:42 +0100

erlang-jose (1.8.4-1) unstable; urgency=medium

  * Initial release (Closes: #882646)

 -- Philipp Huebner <debalance@debian.org>  Fri, 24 Nov 2017 20:56:24 +0100

=== debian/control ===
Source: erlang-jose
Section: libs
Priority: optional
Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9), dh-rebar, erlang-base64url
Standards-Version: 4.1.3
Homepage: https://github.com/potatosalad/erlang-jose
Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-jose.git
Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-jose

Package: erlang-jose
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base (>= 1:19.2) | ${erlang-abi:Depends}, ${erlang:Depends}, 
 erlang-base64url
Description: JSON Object Signing and Encryption (JOSE) for Erlang
 JOSE stands for JSON Object Signing and Encryption which is a is a set of
 standards established by the JOSE Working Group.
 JOSE is split into 5 main components:
  * JOSE.JWA - JSON Web Algorithms (JWA) RFC 7518
  * JOSE.JWE - JSON Web Encryption (JWE) RFC 7516
  * JOSE.JWK - JSON Web Key (JWK) RFC 7517
  * JOSE.JWS - JSON Web Signature (JWS) RFC 7515
  * JOSE.JWT - JSON Web Token (JWT) RFC 7519
 Additional specifications and drafts implemented:
  * JSON Web Key (JWK) Thumbprint RFC 7638
  * JWS Unencoded Payload Option RFC 7797

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/default.mk

DESTDIR=$(CURDIR)/debian/erlang-jose


%:
	dh $@ --buildsystem=rebar --with rebar

## erlang-jose 1.9.0

=== Makefile ===
PROJECT = jose
PROJECT_DESCRIPTION = JSON Object Signing and Encryption (JOSE) for Erlang and Elixir.
PROJECT_VERSION = 1.9.0

DEPS = base64url

dep_base64url = git git://github.com/dvv/base64url.git master

TEST_DEPS = jiffy jsone jsx libdecaf libsodium ojson proper

dep_jiffy = git git://github.com/davisp/jiffy.git master
dep_jsone = git git://github.com/sile/jsone.git master
dep_jsx = git git://github.com/talentdeficit/jsx.git master
dep_keccakf1600 = git git://github.com/potatosalad/erlang-keccakf1600.git master
dep_libdecaf = git git://github.com/potatosalad/erlang-libdecaf.git master
dep_libsodium = git git://github.com/potatosalad/erlang-libsodium.git master
dep_ojson = git git://github.com/potatosalad/erlang-ojson.git master
dep_proper = git git://github.com/proper-testing/proper.git v1.3

include erlang.mk

.PHONY: docker-build docker-load docker-setup docker-save docker-test

DOCKER_OTP_VERSION ?= 21.2
DOCKER_ELIXIR_VERSION ?= 1.7.4

docker-build::
	$(gen_verbose) docker build \
		-t docker-otp-${DOCKER_OTP_VERSION}-elixir-${DOCKER_ELIXIR_VERSION} \
		-f priv/Dockerfile \
		--build-arg OTP_VERSION=${DOCKER_OTP_VERSION} \
		--build-arg ELIXIR_VERSION=${DOCKER_ELIXIR_VERSION} priv

docker-load::
	$(gen_verbose) docker load \
		-i "docker-otp-${DOCKER_OTP_VERSION}-elixir-${DOCKER_ELIXIR_VERSION}/image.tar"

docker-save::
	$(verbose) mkdir -p "docker-otp-${DOCKER_OTP_VERSION}-elixir-${DOCKER_ELIXIR_VERSION}"
	$(gen_verbose) docker save \
		-o "docker-otp-${DOCKER_OTP_VERSION}-elixir-${DOCKER_ELIXIR_VERSION}/image.tar" \
		docker-otp-${DOCKER_OTP_VERSION}-elixir-${DOCKER_ELIXIR_VERSION}

docker-setup::
	$(verbose) if [ -f "docker-otp-${DOCKER_OTP_VERSION}-elixir-${DOCKER_ELIXIR_VERSION}/image.tar" ]; then \
		$(MAKE) docker-load; \
	else \
		$(MAKE) docker-build; \
		$(MAKE) docker-save; \
	fi

docker-test::
	$(gen_verbose) docker run \
		-v "$(shell pwd)":"/build/jose" "docker-otp-${DOCKER_OTP_VERSION}-elixir-${DOCKER_ELIXIR_VERSION}" \
		sh -c 'cd jose && mix local.hex --force && mix local.rebar --force && mix deps.get && mix test && rm -rf _build deps ebin && make ct'

=== debian/changelog ===
erlang-jose (1.9.0-1) unstable; urgency=medium

  * New upstream version 1.9.0
  * Updated Erlang dependencies
  * Updated Standards-Version: 4.3.0 (no changes needed)
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Tue, 01 Jan 2019 22:26:13 +0100

erlang-jose (1.8.4-4) unstable; urgency=medium

  * Enabled DH_VERBOSE in debian/rules
  * Updated Standards-Version: 4.2.1 (no changes needed)
  * Removed "warnings_as_errors" from rebar.config to fix FTBFS with
    Erlang/OTP 21 (Closes: #910312)

 -- Philipp Huebner <debalance@debian.org>  Sun, 07 Oct 2018 14:44:56 +0200

erlang-jose (1.8.4-3) unstable; urgency=medium

  * Switched to debhelper 11
  * Whitespace fix in debian/control
  * Updated Standards-Version: 4.1.4 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Wed, 09 May 2018 13:03:49 +0200

=== debian/control ===
Source: erlang-jose
Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-rebar,
               erlang-base64url
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-jose
Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-jose.git
Homepage: https://github.com/potatosalad/erlang-jose

Package: erlang-jose
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
         ${erlang:Depends},
         erlang-base64url
Description: JSON Object Signing and Encryption (JOSE) for Erlang
 JOSE stands for JSON Object Signing and Encryption which is a is a set of
 standards established by the JOSE Working Group.
 JOSE is split into 5 main components:
  * JOSE.JWA - JSON Web Algorithms (JWA) RFC 7518
  * JOSE.JWE - JSON Web Encryption (JWE) RFC 7516
  * JOSE.JWK - JSON Web Key (JWK) RFC 7517
  * JOSE.JWS - JSON Web Signature (JWS) RFC 7515
  * JOSE.JWT - JSON Web Token (JWT) RFC 7519
 Additional specifications and drafts implemented:
  * JSON Web Key (JWK) Thumbprint RFC 7638
  * JWS Unencoded Payload Option RFC 7797

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #!/usr/bin/make -f
-#export DH_VERBOSE=1
+export DH_VERBOSE=1
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 include /usr/share/dpkg/default.mk

## erlang-jose 1.10.1

=== Makefile ===
PROJECT = jose
PROJECT_DESCRIPTION = JSON Object Signing and Encryption (JOSE) for Erlang and Elixir.
PROJECT_VERSION = 1.9.0

TEST_DEPS = jiffy jsone jsx libdecaf libsodium ojson proper

dep_jiffy = git git://github.com/davisp/jiffy.git master
dep_jsone = git git://github.com/sile/jsone.git master
dep_jsx = git git://github.com/talentdeficit/jsx.git master
dep_keccakf1600 = git git://github.com/potatosalad/erlang-keccakf1600.git master
dep_libdecaf = git git://github.com/potatosalad/erlang-libdecaf.git master
dep_libsodium = git git://github.com/potatosalad/erlang-libsodium.git master
dep_ojson = git git://github.com/potatosalad/erlang-ojson.git master
dep_proper = git git://github.com/proper-testing/proper.git v1.3

include erlang.mk

.PHONY: docker-build docker-load docker-setup docker-save docker-shell docker-test

DOCKER_OTP_VERSION ?= 22.2.1

docker-build::
	$(gen_verbose) docker build \
		-t docker-otp-${DOCKER_OTP_VERSION} \
		-f test/Dockerfile \
		--build-arg OTP_VERSION=${DOCKER_OTP_VERSION} \
		test

docker-load::
	$(gen_verbose) docker load \
		-i "docker-otp-${DOCKER_OTP_VERSION}/image.tar"

docker-save::
	$(verbose) mkdir -p "docker-otp-${DOCKER_OTP_VERSION}"
	$(gen_verbose) docker save \
		-o "docker-otp-${DOCKER_OTP_VERSION}/image.tar" \
		docker-otp-${DOCKER_OTP_VERSION}

docker-setup::
	$(verbose) if [ -f "docker-otp-${DOCKER_OTP_VERSION}/image.tar" ]; then \
		$(MAKE) docker-load; \
	else \
		$(MAKE) docker-build; \
		$(MAKE) docker-save; \
	fi

docker-shell::
	$(verbose) docker run \
		-v "$(shell pwd)":"/build/jose" --rm -it "docker-otp-${DOCKER_OTP_VERSION}" \
		/bin/bash -l

docker-test::
	$(gen_verbose) docker run \
		-v "$(shell pwd)":"/build/jose" "docker-otp-${DOCKER_OTP_VERSION}" \
		sh -c 'cd jose && make ct'

# DOCKER_OTP_VERSION ?= 21.2
# DOCKER_ELIXIR_VERSION ?= 1.7.4

# docker-build::
# 	$(gen_verbose) docker build \
# 		-t docker-otp-${DOCKER_OTP_VERSION}-elixir-${DOCKER_ELIXIR_VERSION} \
# 		-f priv/Dockerfile \
# 		--build-arg OTP_VERSION=${DOCKER_OTP_VERSION} \
# 		--build-arg ELIXIR_VERSION=${DOCKER_ELIXIR_VERSION} priv

# docker-load::
# 	$(gen_verbose) docker load \
# 		-i "docker-otp-${DOCKER_OTP_VERSION}-elixir-${DOCKER_ELIXIR_VERSION}/image.tar"

# docker-save::
# 	$(verbose) mkdir -p "docker-otp-${DOCKER_OTP_VERSION}-elixir-${DOCKER_ELIXIR_VERSION}"
# 	$(gen_verbose) docker save \
# 		-o "docker-otp-${DOCKER_OTP_VERSION}-elixir-${DOCKER_ELIXIR_VERSION}/image.tar" \
# 		docker-otp-${DOCKER_OTP_VERSION}-elixir-${DOCKER_ELIXIR_VERSION}

# docker-setup::
# 	$(verbose) if [ -f "docker-otp-${DOCKER_OTP_VERSION}-elixir-${DOCKER_ELIXIR_VERSION}/image.tar" ]; then \
# 		$(MAKE) docker-load; \
# 	else \
# 		$(MAKE) docker-build; \
# 		$(MAKE) docker-save; \
# 	fi

# docker-test::
# 	$(gen_verbose) docker run \
# 		-v "$(shell pwd)":"/build/jose" "docker-otp-${DOCKER_OTP_VERSION}-elixir-${DOCKER_ELIXIR_VERSION}" \
# 		sh -c 'cd jose && mix local.hex --force && mix local.rebar --force && mix deps.get && mix test && rm -rf _build deps ebin && make ct'

=== debian/changelog ===
erlang-jose (1.10.1-1) unstable; urgency=medium

  * Updated debhelper compat version: 12
  * New upstream version 1.10.1
  * Updated Standards-Version: 4.5.0 (no changes needed)
  * Updated years in debian/copyright
  * Rules-Requires-Root: no

 -- Philipp Huebner <debalance@debian.org>  Tue, 04 Feb 2020 21:05:50 +0100

erlang-jose (1.9.0-2) unstable; urgency=medium

  * Updated Standards-Version: 4.4.0 (no changes needed)
  * Updated Erlang dependencies
  * debian/rules: export ERL_COMPILER_OPTIONS=deterministic
  * Updated debhelper compat version: 12

 -- Philipp Huebner <debalance@debian.org>  Wed, 24 Jul 2019 11:38:19 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Uploaders: Philipp Huebner <debalance@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 12),
                dh-rebar,
                erlang-base64url
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-jose
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-jose.git
 Homepage: https://github.com/potatosalad/erlang-jose

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,8 @@
 #!/usr/bin/make -f
 export DH_VERBOSE=1
-
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 include /usr/share/dpkg/default.mk
+export ERL_COMPILER_OPTIONS=deterministic
 
 DESTDIR=$(CURDIR)/debian/erlang-jose

=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/erlang-jose_$1.tar.gz/" \
         https://github.com/potatosalad/erlang-jose/releases (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## erlang-jose 1.11.1

=== Makefile ===
PROJECT = jose
PROJECT_DESCRIPTION = JSON Object Signing and Encryption (JOSE) for Erlang and Elixir.
PROJECT_VERSION = 1.9.0

TEST_DEPS = jiffy jsone jsx libdecaf libsodium ojson proper

dep_jiffy = git git://github.com/davisp/jiffy.git master
dep_jsone = git git://github.com/sile/jsone.git master
dep_jsx = git git://github.com/talentdeficit/jsx.git v2.10.0
dep_keccakf1600 = git git://github.com/potatosalad/erlang-keccakf1600.git master
dep_libdecaf = git https://github.com/talklittle/erlang-libdecaf.git otp-23-remove-erl-interface
dep_libsodium = git https://github.com/talklittle/erlang-libsodium.git otp-23-remove-erl-interface
dep_ojson = git git://github.com/potatosalad/erlang-ojson.git master
dep_proper = git git://github.com/proper-testing/proper.git v1.3

include erlang.mk

.PHONY: docker-build docker-load docker-setup docker-save docker-shell docker-test

docker-build::
	$(gen_verbose) docker build \
		-t ${DOCKER_OTP_VERSION} \
		-f test/Dockerfile \
		--build-arg OTP_VERSION=${DOCKER_OTP_VERSION} \
		test

docker-load::
	$(gen_verbose) docker load \
		-i "${DOCKER_OTP_VERSION}/image.tar"

docker-save::
	$(verbose) mkdir -p "${DOCKER_OTP_VERSION}"
	$(gen_verbose) docker save \
		-o "${DOCKER_OTP_VERSION}/image.tar" \
		${DOCKER_OTP_VERSION}

docker-setup::
	$(verbose) if [ -f "${DOCKER_OTP_VERSION}/image.tar" ]; then \
		$(MAKE) docker-load; \
	else \
		$(MAKE) docker-build; \
		$(MAKE) docker-save; \
	fi

docker-shell::
	$(verbose) docker run \
		-v "$(shell pwd)":"/build/jose" --rm -it "${DOCKER_OTP_VERSION}" \
		/bin/bash -l

docker-test::
	$(gen_verbose) docker run \
		-v "$(shell pwd)":"/build/jose" "${DOCKER_OTP_VERSION}" \
		sh -c 'cd jose && make ct'

=== debian/changelog ===
erlang-jose (1.11.1-3) unstable; urgency=medium

  * Corrected Multi-Arch setting to "allowed"

 -- Philipp Huebner <debalance@debian.org>  Sun, 31 Jan 2021 17:41:53 +0100

erlang-jose (1.11.1-2) unstable; urgency=medium

  * Added 'Multi-Arch: same' in debian/control
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Sat, 30 Jan 2021 16:06:04 +0100

erlang-jose (1.11.1-1) unstable; urgency=medium

  * New upstream version 1.11.1
  * Updated Standards-Version: 4.5.1 (no changes needed)
  * Updated version of debian/watch: 4
  * Updated debhelper compat version: 13
  * Added debian/erlang-jose.install
  * Updated lintian overrides

 -- Philipp Huebner <debalance@debian.org>  Fri, 25 Dec 2020 20:36:52 +0100

erlang-jose (1.10.1-2) unstable; urgency=medium

  * Removed 'warnings_as_errors' from rebar.conf to prevent FTBFS
    (Closes: #964649)

 -- Philipp Huebner <debalance@debian.org>  Sun, 26 Jul 2020 19:10:30 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Section: libs
 Priority: optional
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-rebar,
                erlang-base64url
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-jose
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-jose.git
 Homepage: https://github.com/potatosalad/erlang-jose
@@ -19,6 +19,7 @@
          erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
          ${erlang:Depends},
          erlang-base64url
+Multi-Arch: allowed
 Description: JSON Object Signing and Encryption (JOSE) for Erlang
  JOSE stands for JSON Object Signing and Encryption which is a is a set of
  standards established by the JOSE Working Group.

=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/erlang-jose_$1.tar.gz/" \
         https://github.com/potatosalad/erlang-jose/releases (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## erlang-jose 1.11.2

=== debian/changelog ===
erlang-jose (1.11.2-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Philipp Huebner ]
  * Updated debian/watch/

 -- Philipp Huebner <debalance@debian.org>  Tue, 21 Dec 2021 07:58:09 +0100

erlang-jose (1.11.2-1) unstable; urgency=medium

  * New upstream version 1.11.2 (Closes: #992998)
  * Updated Standards-Version: 4.6.0 (no changes needed)
  * Dropped debian/patches/* and (build-)dependency on erlang-base64url
  * Added debian/upstream/metadata

 -- Philipp Huebner <debalance@debian.org>  Sun, 29 Aug 2021 18:17:18 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,8 @@
 Priority: optional
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
-               dh-rebar,
-               erlang-base64url
-Standards-Version: 4.5.1
+               dh-rebar
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-jose
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-jose.git
 Homepage: https://github.com/potatosalad/erlang-jose
@@ -16,9 +15,8 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
-         ${erlang:Depends},
-         erlang-base64url
+         erlang-base | ${erlang-abi:Depends},
+         ${erlang:Depends}
 Multi-Arch: allowed
 Description: JSON Object Signing and Encryption (JOSE) for Erlang
  JOSE stands for JSON Object Signing and Encryption which is a is a set of

=== debian/watch ===
version=4
opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/erlang-jose_$1.tar.gz/" \
         https://github.com/potatosalad/erlang-jose/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## erlang-jose 1.11.5

=== Makefile ===
PROJECT = jose
PROJECT_DESCRIPTION = JSON Object Signing and Encryption (JOSE) for Erlang and Elixir.
PROJECT_VERSION = 1.11.5

TEST_DEPS = jiffy jsone jsx libdecaf libsodium ojson proper thoas

dep_jiffy = hex 1.1.1
dep_jsone = hex 1.7.0
dep_jsx = hex 3.1.0
# dep_keccakf1600 = hex 3.0.0
dep_libdecaf = hex 2.1.1
dep_libsodium = hex 2.0.1
dep_ojson = hex 1.0.0
dep_thoas = hex 0.4.0
dep_proper = git https://github.com/proper-testing/proper.git bfd7d862dd5082eeca65c192a7021d0e4de5973e

include erlang.mk

.PHONY: docker-build docker-load docker-setup docker-save docker-shell docker-test docker-test-build

DOCKER_OTP_VERSION ?= 25.0.4-alpine-3.16.1
CT_SUITES ?=

docker-build::
	$(gen_verbose) docker build \
		--tag ${DOCKER_OTP_VERSION} \
		--file test/Dockerfile \
		--build-arg OTP_VERSION=${DOCKER_OTP_VERSION} \
		test

docker-load::
	$(gen_verbose) docker load \
		--input "${DOCKER_OTP_VERSION}/image.tar"

docker-save::
	$(verbose) mkdir -p "${DOCKER_OTP_VERSION}"
	$(gen_verbose) docker save \
		--output "${DOCKER_OTP_VERSION}/image.tar" \
		${DOCKER_OTP_VERSION}

docker-setup::
	$(verbose) if [ -f "${DOCKER_OTP_VERSION}/image.tar" ]; then \
		$(MAKE) docker-load; \
	else \
		$(MAKE) docker-build; \
		$(MAKE) docker-save; \
	fi

docker-shell::
	$(verbose) docker run \
		--volume "$(shell pwd)":"/build/jose" --rm --interactive --tty "${DOCKER_OTP_VERSION}" \
		/bin/bash -l

ifeq ($(CT_SUITES),)
docker-test::
	$(gen_verbose) docker run \
		--volume "$(shell pwd)":"/build/jose" \
		"${DOCKER_OTP_VERSION}" \
		sh -c 'cd jose && make ct'
else
docker-test::
	$(gen_verbose) docker run \
		--volume "$(shell pwd)":"/build/jose" \
		-e CT_SUITES="${CT_SUITES}" \
		"${DOCKER_OTP_VERSION}" \
		sh -c 'cd jose && make ct'
endif

docker-test-build::
	$(gen_verbose) docker run \
		--volume "$(shell pwd)":"/build/jose" \
		"${DOCKER_OTP_VERSION}" \
		sh -c 'cd jose && make test-build'

=== debian/changelog ===
erlang-jose (1.11.5-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Philipp Huebner <debalance@debian.org>  Wed, 22 Feb 2023 08:27:03 +0100

erlang-jose (1.11.5-1) unstable; urgency=medium

  [ Philipp Huebner ]
  * New upstream version 1.11.5
  * Updated Erlang dependencies
  * Updated Standards-Version: 4.6.2 (no changes needed)
  * Updated years in debian/copyright

  [ Debian Janitor ]
  * Update renamed lintian tag names in lintian overrides.
  * Remove obsolete field Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- Philipp Huebner <debalance@debian.org>  Wed, 08 Feb 2023 10:13:28 +0100

## erlang-jose 1.11.6

=== Makefile ===
--- 
+++ 
@@ -1,24 +1,24 @@
 PROJECT = jose
 PROJECT_DESCRIPTION = JSON Object Signing and Encryption (JOSE) for Erlang and Elixir.
-PROJECT_VERSION = 1.11.5
+PROJECT_VERSION = 1.11.6
 
 TEST_DEPS = jiffy jsone jsx libdecaf libsodium ojson proper thoas
 
 dep_jiffy = hex 1.1.1
-dep_jsone = hex 1.7.0
+dep_jsone = hex 1.8.0
 dep_jsx = hex 3.1.0
 # dep_keccakf1600 = hex 3.0.0
 dep_libdecaf = hex 2.1.1
 dep_libsodium = hex 2.0.1
 dep_ojson = hex 1.0.0
-dep_thoas = hex 0.4.0
-dep_proper = git https://github.com/proper-testing/proper.git bfd7d862dd5082eeca65c192a7021d0e4de5973e
+dep_thoas = hex 1.0.0
+dep_proper = git https://github.com/proper-testing/proper.git def84f172df92635cc62f3356e3e7ad054638eb4
 
 include erlang.mk
 
 .PHONY: docker-build docker-load docker-setup docker-save docker-shell docker-test docker-test-build
 
-DOCKER_OTP_VERSION ?= 25.0.4-alpine-3.16.1
+DOCKER_OTP_VERSION ?= 26.0.2-alpine-3.18.2
 CT_SUITES ?=
 
 docker-build::

=== debian/changelog ===
erlang-jose (1.11.6-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Philipp Huebner <debalance@debian.org>  Thu, 11 Jan 2024 10:24:09 +0100

erlang-jose (1.11.6-1) unstable; urgency=medium

  * New upstream version 1.11.6
  * Do not install empty 'priv' directory into package
  * Dropped debian/erlang-jose.install and fixed debian/rules instead
    (closes: #1049613)
  * Renamed debian/erlang-jose.lintian-overrides -> debian/lintian-overrides

 -- Philipp Huebner <debalance@debian.org>  Tue, 26 Dec 2023 15:33:32 +0100

## erlang-jose 1.11.10

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 PROJECT = jose
 PROJECT_DESCRIPTION = JSON Object Signing and Encryption (JOSE) for Erlang and Elixir.
-PROJECT_VERSION = 1.11.6
+PROJECT_VERSION = 1.11.10
 
 TEST_DEPS = jiffy jsone jsx libdecaf libsodium ojson proper thoas

=== debian/changelog ===
erlang-jose (1.11.10-1) unstable; urgency=medium

  * New upstream version 1.11.10 (Closes: #1067456)
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Sat, 20 Jul 2024 12:02:54 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Priority: optional
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
-               dh-rebar
-Standards-Version: 4.6.0
+               dh-rebar (>= 0.0.6)
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-jose
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-jose.git
 Homepage: https://github.com/potatosalad/erlang-jose
@@ -15,7 +15,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         erlang-base | ${erlang-abi:Depends},
+         erlang-base, ${erlang-abi:Depends},
          ${erlang:Depends}
 Multi-Arch: allowed
 Description: JSON Object Signing and Encryption (JOSE) for Erlang

=== debian/rules ===
--- 
+++ 
@@ -9,3 +9,21 @@
 
 %:
 	dh $@ --buildsystem=rebar --with rebar
+
+
+override_dh_auto_install:
+	dh_auto_install
+	for file in include/*.hrl ; do \
+		fname=$$(basename $${file}) ; \
+		subdir=$$(basename $$(dirname $${file})) ; \
+		if [ ! -f $(DESTDIR)/usr/lib/erlang/lib/eredis-$(DEB_VERSION_UPSTREAM)/$${subdir}/$${fname} ] ; then \
+			install -m 755 -d $(DESTDIR)/usr/lib/erlang/lib/eredis-$(DEB_VERSION_UPSTREAM)/$${subdir} ; \
+			install -m 644 $${file} \
+			$(DESTDIR)/usr/lib/erlang/lib/eredis-$(DEB_VERSION_UPSTREAM)/$${subdir} ; \
+		fi ; \
+	done
+	find $(CURDIR)/debian/tmp/ -type f -name '*.hrl' -delete
+
+override_dh_gencontrol:
+	rm -vrf $(DESTDIR)/usr/lib/erlang/lib/jose-*/priv
+	dh_gencontrol

## erlang-jose 1.11.12

=== Makefile ===
--- 
+++ 
@@ -1,24 +1,24 @@
 PROJECT = jose
 PROJECT_DESCRIPTION = JSON Object Signing and Encryption (JOSE) for Erlang and Elixir.
-PROJECT_VERSION = 1.11.10
+PROJECT_VERSION = 1.11.12
 
 TEST_DEPS = jiffy jsone jsx libdecaf libsodium ojson proper thoas
 
-dep_jiffy = hex 1.1.1
-dep_jsone = hex 1.8.0
+dep_jiffy = hex 1.1.2
+dep_jsone = hex 1.9.0
 dep_jsx = hex 3.1.0
 # dep_keccakf1600 = hex 3.0.0
 dep_libdecaf = hex 2.1.1
 dep_libsodium = hex 2.0.1
 dep_ojson = hex 1.0.0
-dep_thoas = hex 1.0.0
-dep_proper = git https://github.com/proper-testing/proper.git def84f172df92635cc62f3356e3e7ad054638eb4
+dep_thoas = hex 1.2.1
+dep_proper = git https://github.com/proper-testing/proper.git 5640d0715d4b346676267504d8e84398e2a29f75
 
 include erlang.mk
 
 .PHONY: docker-build docker-load docker-setup docker-save docker-shell docker-test docker-test-build
 
-DOCKER_OTP_VERSION ?= 26.0.2-alpine-3.18.2
+DOCKER_OTP_VERSION ?= 27.3-alpine-3.19.7
 CT_SUITES ?=
 
 docker-build::
@@ -71,3 +71,157 @@
 		--volume "$(shell pwd)":"/build/jose" \
 		"${DOCKER_OTP_VERSION}" \
 		sh -c 'cd jose && make test-build'
+
+.PHONY: eqwalize eqwalize-all distclean-elp
+
+# Arch detection.
+
+ifeq ($(ARCH),)
+UNAME_M := $(shell uname -m)
+
+ifeq ($(UNAME_M),amd64)
+ARCH = x86_64
+else ifeq ($(UNAME_M),x86_64)
+ARCH = x86_64
+else ifeq ($(UNAME_M),arm64)
+ARCH = aarch64
+else ifeq ($(UNAME_M),aarch64)
+ARCH = aarch64
+else
+$(error Unable to detect architecture. Please open a ticket with the output of uname -s.)
+endif
+
+export ARCH
+endif
+
+# Configuration.
+ELP_VERSION ?= 2025-09-01
+ELP_OTP_VERSION ?= 28
+
+ELP ?= $(CURDIR)/elp
+export ELP
+
+ifeq ($(PLATFORM),darwin)
+	ELP_URL ?= https://github.com/WhatsApp/erlang-language-platform/releases/download/${ELP_VERSION}/elp-macos-${ARCH}-apple-darwin-otp-${ELP_OTP_VERSION}.tar.gz
+else
+	ELP_URL ?= https://github.com/WhatsApp/erlang-language-platform/releases/download/${ELP_VERSION}/elp-linux-${ARCH}-unknown-linux-gnu-otp-${ELP_OTP_VERSION}.tar.gz
+endif
+
+ELP_OPTS ?=
+ELP_BUILD_DIR ?= $(CURDIR)/_elp_build
+ELP_ARCHIVE = elp-$(ELP_VERSION).tar.gz
+
+# Core targets.
+
+help::
+	$(verbose) printf "%s\n" "" \
+		"elp targets:" \
+		"  eqwalize     Run 'elp eqwalize-app argo' on the current project" \
+		"  eqwalize-all Run 'elp eqwalize-all' on the current project"
+
+distclean:: distclean-elp
+
+# Plugin-specific targets.
+
+$(ELP):
+	$(verbose) mkdir -p $(ELP_BUILD_DIR)
+	$(verbose) echo "Downloading eqwalizer from: "$(ELP_URL)
+	$(verbose) $(call core_http_get,$(ELP_BUILD_DIR)/$(ELP_ARCHIVE),$(ELP_URL))
+	$(verbose) cd $(ELP_BUILD_DIR) && \
+		tar -xzf $(ELP_ARCHIVE)
+	$(gen_verbose) cp $(ELP_BUILD_DIR)/elp $(ELP)
+	$(verbose) chmod +x $(ELP)
+	$(verbose) rm -rf $(ELP_BUILD_DIR)
+
+eqwalize: $(ELP)
+	$(verbose) $(ELP) eqwalize $(PROJECT)
+
+eqwalize-all: $(ELP)
+	$(verbose) $(ELP) eqwalize-all
+
+distclean-elp:
+	$(gen_verbose) rm -rf $(ELP)
+
+.PHONY: erlfmt erlfmt-check distclean-erlfmt format
+
+# Configuration.
+ERLFMT_VERSION ?= 1.7.0
+
+ERLFMT ?= $(CURDIR)/erlfmt
+export ERLFMT
+
+ERLFMT_URL ?= https://github.com/WhatsApp/erlfmt/archive/refs/tags/v$(ERLFMT_VERSION).tar.gz
+ERLFMT_OPTS ?=
+ERLFMT_BUILD_DIR ?= $(CURDIR)/_erlfmt_build
+ERLFMT_CODE_ARCHIVE = $(ERLFMT_VERSION).tar.gz
+
+ERLFMT_REBAR3_URL ?= https://s3.amazonaws.com/rebar3/rebar3
+ERLFMT_REBAR3 ?= rebar3
+
+# Core targets.
+
+help::
+	$(verbose) printf "%s\n" "" \
+		"erlfmt targets:" \
+		"  erlfmt       Run erlfmt or download the default otherwise" \
+		"  elrfmt-check Run erlfmt --check"
+
+distclean:: distclean-erlfmt
+
+# Plugin-specific targets.
+
+$(ERLFMT):
+	$(verbose) mkdir -p $(ERLFMT_BUILD_DIR)
+ifeq ($(shell command -v $(ERLFMT_REBAR3)),)
+	$(verbose) echo "Downloading Rebar3 from: "$(ERLFMT_REBAR3_URL)
+	$(verbose) $(call core_http_get,$(ERLFMT_BUILD_DIR)/rebar3,$(ERLFMT_REBAR3_URL))
+	$(verbose) chmod +x $(ERLFMT_BUILD_DIR)/rebar3
+	$(eval ERLFMT_REBAR3 := $(ERLFMT_BUILD_DIR)/rebar3)
+else
+	$(verbose) echo "Using Rebar3: "$(ERLFMT_REBAR3)
+endif
+	$(verbose) echo "Downloading erlfmt from: "$(ERLFMT_URL)
+	$(verbose) $(call core_http_get,$(ERLFMT_BUILD_DIR)/$(ERLFMT_CODE_ARCHIVE),$(ERLFMT_URL))
+	$(verbose) cd $(ERLFMT_BUILD_DIR) && \
+		tar -xzf $(ERLFMT_CODE_ARCHIVE) && \
+		cd erlfmt-$(ERLFMT_VERSION) && \
+		$(ERLFMT_REBAR3) as release escriptize
+	$(gen_verbose) cp $(ERLFMT_BUILD_DIR)/erlfmt-$(ERLFMT_VERSION)/_build/release/bin/erlfmt $(ERLFMT)
+	$(verbose) chmod +x $(ERLFMT)
+	$(verbose) rm -rf $(ERLFMT_BUILD_DIR)/erlfmt-$(ERLFMT_VERSION)
+	$(verbose) rm $(ERLFMT_BUILD_DIR)/$(ERLFMT_CODE_ARCHIVE)
+	$(verbose) rm -f $(ERLFMT_BUILD_DIR)/rebar3
+	$(verbose) rm -rf $(ERLFMT_BUILD_DIR)
+
+erlfmt: $(ERLFMT)
+	$(verbose) $(ERLFMT) --verbose --write --require-pragma --print-width=120 \
+		'{src,codegen,include,test}/**/*.{hrl,erl,app.src,app.src.script}' \
+		'test/**/*.config' \
+		'{rebar.config,rebar.config.script}'
+
+erlfmt-check: $(ERLFMT)
+	$(verbose) $(ERLFMT) --check --require-pragma --print-width=120 \
+		'{src,codegen,include,test}/**/*.{hrl,erl,app.src,app.src.script}' \
+		'test/**/*.config' \
+		'{rebar.config,rebar.config.script}'
+
+distclean-erlfmt:
+	$(gen_verbose) rm -rf $(ERLFMT)
+
+format: $(ERLFMT)
+	$(verbose) $(MAKE) erlfmt
+	$(verbose) mix format --migrate
+
+.PHONY: lint lint-dialyzer lint-eqwalizer lint-format lint-xref
+
+lint:: lint-format lint-eqwalizer lint-xref lint-dialyzer
+
+lint-dialyzer:
+	$(verbose) rebar3 dialyzer
+
+lint-eqwalizer: eqwalize-all
+
+lint-format: erlfmt-check
+
+lint-xref:
+	$(verbose) rebar3 xref

=== debian/changelog ===
erlang-jose (1.11.12-1) unstable; urgency=medium

  * Team upload.
  * Update d/watch to version 5.
  * New upstream version.

 -- Dominik George <natureshadow@debian.org>  Wed, 11 Feb 2026 18:30:11 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-rebar (>= 0.0.6)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-jose
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-jose.git
 Homepage: https://github.com/potatosalad/erlang-jose

=== debian/watch ===
Version: 5
Template: GitHub
Dist: https://github.com/potatosalad/erlang-jose
